#ifndef _PARAM_H_
#define _PARAM_H_

#include <iostream>
#include <string>

using namespace std;


// class parameters
class param
{
private:
bool  boutton;  //button
string debut;   // timer debut
string fin;       // timer fin
short nb; // time elapse nb

public:

param(void);
param(bool,string,string,short);

//getter setter
bool get_button(void);
void set_button(short);

void set_init_timer(string);
string get_init_timer();

void set_end_timer(string);
string get_end_timer(void);

void set_nb(short);

// cout

void print(void);

};


// for the configuration of the automaton
class config
{

public:

string EXP;
string DEST;
string SMTP;

short STOP_PUMP; //input 1 button for stopping pump during 10 min
short STOP_SKIMMER; //input 2 button for stopping/enabling pump skimmer
short OSMOLATION;  //input captor for osmolation
short RESERV; //input captor in the reserve water
short HIGH;  // higher input captor => if enabled => skimer stopped and alert 
short OUTHQI;  //out 1
short OUTBLUE ;  // out 2
short OUTPUMP;  // out 3
short OUTSKIMMER ;  // out 4
short OUTOSMOLATION ;// out 5
short OUTTEMP;// out 6
short OUTRAH ; // out 7
short OUTPERI ; // out 8
short TOSMOLATION;
double DEBIT; // flow of the evaporation top up pump
short OUTVENT; // out for a ventilator
double TMAX; // > TMAX ventilator started else stopped 
double STARTHQI; // hqi are started after xxx min 
double THQI; // temperature over which hqi are stopped
short RAH_TYPE; // type 0 rah works x min every y min type 1 rah works x min after osmolation
short FLOW; // used iff a flowmeter is added in input 1 or 2
double FLOWIMPULSE; // for flowmeter nb of impulses /L
int FLOWTYPE; // flowmeter can be used with top off or not
short LCD; // enable lcd
short LOGLCD; //enable log lcd
short SMS; //enable sms
short forced_hqi;
short forced_blue;
short forced_pump;
short forced_peri;
short forced_skimmer;
short forced_osmolation;
short forced_temp;
short forced_rah;
short forced_ventilator;

config(void);
};

#endif
