/***************************************************************************
 *   Copyright (C) 2005, Salva sebastien	 		           *
 *   e-mail: sebastien.salva@freesbee.fr 				   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _UTIL_H_
#define _UTIL_H_

#include <mysql++.h>
#include <stdlib.h>
#include "param.h"
#include "shareData.hpp"

extern shareData dataVal;            
extern pthread_mutex_t mut;          

using namespace mysqlpp;
using namespace std;

// class for mysql
class connexion{

private:
 string host;
string base;
 string login;
string pass;
mysqlpp::Connection con;

public:

connexion( string, string,  string, string);

bool connect_to_db(void);

void interroger(void);

void get_parameter(string, param &,short);

int insert_osmolation(double);

int insert_error(short);

int insert_log(string);

int insert_temperature(double);

int insert_current_temperature(double);

int maj_temperature(void);

int maj_log(void);

int init_out(void);

int maj_out(short,short);

void get_config(config &);

void construct(string);

short get_start(void);

void set_start(void);

void set_stop(void);

void save (void);

void get_forced(config &);

void close(void);

void maj_water(void);

};

#endif
