/*
  Name : blue.hpp
  Copyright : MARTY & FOK
  Authors : MARTY Sbastien & FOK Pierre
  Description: file which contents functions to use a blue lamp
*/

#ifndef _BLUE_HPP_
#define _BLUE_HPP_

#include "lampes.hpp"

class Blue: public Lampes
{
private:
	void forceState(short forcedState,connexion &c,K8055 &k,config &cfg);	//force the state
	void changeState (short state,connexion &c,K8055 &k,config &cfg);	//change the state
public:
  Blue(){}
  void init();	//initialize the blue lamp
 
  void changing (short st,connexion &,K8055&,config &);	//define the state witch the lamp had to be
};

#endif
