/*
  Name : lampes.hpp
  Copyright : MARTY & FOK
  Authors : MARTY Sbastien & FOK Pierre
  Description: file which contents functions to use lamps
*/

#ifndef _LAMPES_HPP_
#define _LAMPES_HPP_


#include "param.h"
#include "util.h"
#include "other.hpp"
#include "objet.hpp"

class Lampes:public Objet
{
protected:
  bool stop;

  virtual void forceState(short ,connexion &,K8055 &,config &)=0;//force the state of the lamp
  virtual void changeState (short,connexion &,K8055 &,config &)=0;//change the state
  
public:
  Lampes(){}
  virtual short getStop();

  virtual void setStop (bool);

  
};


#endif
