/*
  Name : shareData.cpp
  Copyright : KPAMEGAN & ROUSSET
  Authors : KPAMEGAN Karel, ROUSSET Baptiste
  Description: file which contents function to share data between the automate and the screen
*/

#include "shareData.hpp"

/*
  Name : shareData
  Finality : this is the constructor
  Decription : initialize all the attribut to "absent"
*/
shareData::shareData()
{
  temperature=strdup("absent");         //temperature
  ecumeur=strdup("absent");             //skimmer
  pompes=strdup("absent");              //peristatic
  chauffage=strdup("absent");           //temp
  reserve=strdup("absent");              //reserve
  rah=strdup("absent");                 //rah
  osmolation=strdup("absent");          //osmolation
  gdespompes=strdup("absent");          //pump
}

void shareData::set_temperature(char * t)
{
strcpy(temperature,t);
}

void shareData::set_ecumeur(char * t)
{
strcpy(ecumeur,t);
}


void shareData::set_pompes(char * t)
{
strcpy(pompes,t);
}


void shareData::set_chauffage(char * t)
{
strcpy(chauffage,t);
}


void shareData::set_reserve(char * t)
{
strcpy(reserve,t);
}


void shareData::set_osmolation(char * t)
{
strcpy(osmolation,t);
}


void shareData::set_rah(char * t)
{
strcpy(rah,t);
}


void shareData::set_gdespompes(char * t)
{
strcpy(gdespompes,t);
}

